model.matrix.coxph {survival} | R Documentation

## Model.matrix method for coxph models

### Description

Reconstruct the model matrix for a cox model.

### Usage

    ## S3 method for class 'coxph'
    model.matrix(object, data=NULL, contrast.arg =
     object$contrasts, ...)

### Arguments

`object` | the result of a `coxph` model
`data` | optional, a data frame from which to obtain the data
`contrast.arg` | optional, a contrasts object describing how factors should be coded
`...` | other possible argument to `model.frame`

### Details

When there is a `data` argument this function differs from most of the other `model.matrix` methods in that the response variable for the original formual is not required to be in the data.

If the data frame contains a `terms` attribute then it is assumed to be the result of a call to `model.frame`, otherwise a call to `model.frame` is applied with the data as an argument.

### Value

The model matrix for the fit

### Author(s)

Terry Therneau

### See Also

`model.matrix`

### Examples

    fit1 <- coxph(Surv(time, status) ~ age + factor(ph.ecog), data=lung)
    xfit <- model.matrix(fit1)

    fit2 <- coxph(Surv(time, status) ~ age + factor(ph.ecog), data=lung,
                                     x=TRUE)
    all.equal(model.matrix(fit1), fit2$x)

[Package survival version 2.39-4 Index]